Album: 'Homestuck^2: Beyond CaNMT Vol. 1'
Date: December 25, 2019
Date Added: October 25, 2023
URLs:
- https://coolandnewwebcomic.bandcamp.com/album/homestuck-2-beyond-canmt-vol-1
- https://www.youtube.com/watch?v=nXzjKZy0VQQ
- https://www.youtube.com/playlist?list=PLMXVVm-BDvr_ftij_CQB_ZoCzMg8YdaCp
Cover Artists:
- Shadok
Cover Art File Extension: png
Art Tags:
- Dirk
Color: '#f2a400'
Groups:
- Cool and New Music Team
- Fandom
---
Track: Crystallized Flowers DX
Artists:
- salex_r3kt
Duration: 04:26
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/crystallized-flowers-dx
- https://youtu.be/4_GT1MmbH24
Referenced Tracks:
- Crystalanthemums
- Crystalanthology
- Crystamanthequins
- Sburban Jungle
- Crystalmethequins
---
Track: Break a Leg
Artists:
- Bin
Duration: 00:48
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/break-a-leg
- https://youtu.be/bLsGNBCbXpY
Referenced Tracks:
- Showtime (Original Mix)
---
Track: Starship Strife
Artists:
- Indubitably
Duration: 01:27
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/starship-strife
- https://youtu.be/YRV4HftO7hg
Referenced Tracks:
- track:dissonance-quincy-pringle
- Atomyk Ebonpyre
- The Lemonsnout Turnabout
- Doctor
---
Track: Bandcampfire
Artists:
- Ucklin
Duration: 02:41
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/bandcampfire
- https://youtu.be/2TLeLpQDw4Q
Sampled Tracks:
- Dawn of Man
---
Track: The First 55 Seconds of Komm Susser Todd
Artists:
- No Funny Name
Duration: 00:55
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/the-first-55-seconds-of-komm-susser-todd
- https://youtu.be/W6EnjgNgrvo
Referenced Tracks:
- Komm, süsser Tod
Sampled Tracks:
- Komm, süsser Tod
---
Track: Roxy's Revenge
Artists:
- Jonah "Sanctferum" Paley
Duration: 00:54
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/roxys-revenge
- https://youtu.be/6T8xg__8ETM
---
Track: Untitled
Directory: untitled-homestuck-2
Artists:
- Unknown Artist
Duration: 03:49
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/untitled-6
- https://youtu.be/-j_7nNPMxz0
Referenced Tracks:
- Fighting Spirit
- Liquid Negrocity
- Savior of the Waking World
- Walk-Stab-Walk (R&E)
- Beatdown (Strider Style)
- Cascade (Beta)
- Moonsetter
- Sburban Jungle
- Flare
- Courser
- Rex Duodecim Angelus
- RollerCoaster Tycoon Theme
- Homestuck Anthem
- Showtime (Original Mix)
---
Track: Abstract
Artists:
- Kusoro
Duration: 02:01
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/abstract
- https://youtu.be/sLLR6J75Ro4
Referenced Tracks:
- Moonsetter
- Despot
- Upward Movement (Dave Owns)
# Sampled Tracks:
# - that one sample prevalent in 666 Kill Chop Deluxe, 1:33
---
Track: Ship of Theseus
Artists:
- ostrichlittledungeon
Duration: 02:48
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/ship-of-theseus
- https://youtu.be/ilBCEphjiTs
---
Track: actually dunno how to call this song but i think it sounds like its for dirk
Artists:
- Ray Mike
Duration: 01:20
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/actually-dunno-how-to-call-this-song-but-i-think-it-sounds-like-its-for-dirk
- https://youtu.be/MmZzw9J9_JA
Referenced Tracks:
- Abstract
---
Track: VOLUME 2/II Megamix
Artists:
- Cuil
Duration: 03:42
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/volume-2-ii-megamix
- https://youtu.be/AqqzwWi5e08
Commentary: |-
    <i>Makin:</i> (Wiki editor, 9/23/2023)
    Uh, yeah, I'm not adding all these references. They're not even really hearable so let me quote the original composer.

    <i>Cuil:</i> (Composer)
    there's every song from [[album:cool-and-new-volume-2|volume 2]] and [[album:cool-and-new-volume-ii|volume ii]] in this song and it's late at night and i'm exhausted and im not going to write down every single song from the two albums so let's just say there's a shit ton
---
Track: You Can't Fight The Homestuck^2
Artists:
- XenoZane
Duration: 03:42
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/you-cant-fight-the-homestuck-2
- https://youtu.be/ODdLOyvKTE8
Referenced Tracks:
- You Can't Fight the Homestuck
Sampled Tracks:
- You Can't Fight the Homestuck
Lyrics: |-
    Hello everybody!
    Let me tell you about Homestuck TWO

    John Egbert, Rose Lalonde
    Ascend, descend, rise up, abscond
    Jade Harley, Dave Strider
    They all play Sburb and end the world
    Harlequin, Nanna, Bro (John Egbert, Rose Lalonde)
    Mom, Dad, Youth Roll (Ascend, descend, rise up, abscond)
    Grandpa, Pesterchum (Jade Harley, Dave Strider)
    Hella Jeff and Sweet Bro (They all play Sburb and end the world)

    John Egbert, Rose Lalonde
    Ascend, descend, rise up, abscond
    Jade Harley, Dave Strider
    They all play Sburb and end the world
    Harlequin, Nanna, Bro (John Egbert, Rose Lalonde)
    Mom, Dad, Youth Roll (Ascend, descend, rise up, abscond)
    Grandpa, Pesterchum (Jade Harley, Dave Strider)
    Hella Jeff and Sweet Bro (They all play Sburb and end the world)

    John Egbert, Rose Lalonde
    Ascend, descend, rise up, abscond
    Jade Harley, Dave Strider
    They all play Sburb and end the world
    Harlequin, Nanna, Bro (John Egbert, Rose Lalonde)
    Mom, Dad, Youth Roll (Ascend, descend, rise up, abscond)
    Grandpa, Pesterchum (Jade Harley, Dave Strider)
    Hella Jeff and Sweet Bro (They all play Sburb and end the world)

    John Egbert, Rose Lalonde
    Ascend, descend, rise up, abscond
    Jade Harley, Dave Strider
    They all play Sburb and end the world
    Harlequin, Nanna, Bro (John Egbert, Rose Lalonde)
    Mom, Dad, Youth Roll (Ascend, descend, rise up, abscond)
    Grandpa, Pesterchum (Jade Harley, Dave Strider)
    Hella Jeff and Sweet Bro (They all play Sburb and end the world)

    [The refrain above repeats in the background]

    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom
    You can't fight the Homestuck!
    Though it's weird and random, it's the greatest fandom

    You can't fight the Homestuck!
    And from now on, it will go on, and on, and on, and on, and on, and on, and on, and on, and on, and on, and on, and on, and onnnnnnnnn--
